Bug 193316 - GtkTreeView.get_visible_rect() takes exactly 1 argument ??
GtkTreeView.get_visible_rect() takes exactly 1 argument ??
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 21:15 EDT by Steven Usdansky
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 08:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2006-05-26 21:15:53 EDT
Description of problem:
smart-gui (verson 0.41) locks up while trying to download updated repo data with
the error msg given below. Lockup occurs just as the progress bar for the 2nd
repo is beginning to show.
  TypeError: GtkTreeView.get_visible_rect() takes exactly 1 argument (0 given)
According to
http://www.pygtk.org/pygtk2reference/class-gtktreeview.html#method-gtktreeview--get-visible-rect
GtkTreeView.get_visible_rect() is supposed to take zero arguments 

Version-Release number of selected component (if applicable):
pygtk2-2.9.0-2 


How reproducible:
every time

Steps to Reproduce:
1. start smartpm on GNOME desktop
2. let it run for a few seconds until it locks
3.
  
Actual results:
Traceback (most recent call last):

  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 1129, in fetch
    item.start()

  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 504, in start
    prog.show()

  File "/usr/lib/python2.4/site-packages/smart/progress.py", line 110, in show
    self.expose(topic, percent, *info)

  File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/progress.py", line
199, in expose
    visiblearea = self._treeview.get_visible_rect()

TypeError: GtkTreeView.get_visible_rect() takes exactly 1 argument (0 given)


Expected results:
updated repo data

Additional info:

a) Without pygobject2 installed, smart-gui doesn't start, but gives the
following when started from gnome-terminal:
  error: System has no support for gtk python interface 

b) Recompiling the smartpm src-rpm from extras did not resolve the (original)
problem

c) uninstalling pygobject2-2.10.1-2 and the 2.9.0-2 versions of pygtk2,
pygtk2-devel, and pygtk2-libglade, and reinstalling the 2.8.6-1 versions 
resolved the problem.
Comment 1 Steven Usdansky 2006-06-15 08:09:44 EDT
Apparently solved with pygtk2-2.9.1-2

Note You need to log in before you can comment on or make changes to this bug.